Debian Bug report logs - #440161
wrong /etc/fstab when installing on RAID using Adaptec 2100S

version graph

Package: kernel-wedge; Maintainer for kernel-wedge is Debian Install System Team <debian-boot@lists.debian.org>; Source for kernel-wedge is src:kernel-wedge.

Reported by: Arne Metzger <mohaa@foni.net>

Date: Thu, 30 Aug 2007 10:42:01 UTC

Severity: normal

Tags: patch

Fixed in version kernel-wedge/2.42

Done: Otavio Salvador <otavio@ossystems.com.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Arne Metzger <mohaa@foni.net>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arne Metzger <mohaa@foni.net>
To: submit@bugs.debian.org
Subject: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Thu, 30 Aug 2007 12:38:50 +0200
Package: debian-installer
Version: 20070308

I recently used d-i to install etch on a FujituSiemens Primergy F200. 
That maschine has 6 SCSI-Drives built-in, which i have configured as 
RAID5 (no Hotspare) using the Adaptec-BIOS. During POST and installation 
the RAID-Array is shown as /dev/sda.

Then i have created a ext3-Partition /dev/sda1 for /boot and a LVM on 
/dev/sda5 using the rest of the Array-capacity for /.

Installation proceeded fine.

After rebooting the maschine, everything worked fine. System found LVM 
and could mount it correctely, but then failed to mount /boot (which is 
on /dev/sda1 - as i thought).

I found out, that for the Adaptec 2100S the modules i2o-core and 
i2o-block are loaded. The modules find the Adapter correctely.

But my /boot-partition - formerly known as /dev/sda1 - could now be 
found at /dev/i2o/hda1 after loading the i2o-modules.

After changing the line in /etc/fstab from
/dev/sda1	/boot [...]
to
/dev/i2o/hda1	/boot [...]
and rebooting the maschine - it worked!

Dont know, if that is a problem in d-i or in i2o...



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 440161@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Arne Metzger <mohaa@foni.net>, 440161@bugs.debian.org
Subject: Re: Bug#440161: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Sat, 1 Sep 2007 10:06:37 +0200
[Message part 1 (text/plain, inline)]
On Thu, Aug 30, 2007 at 12:38:50PM +0200, Arne Metzger wrote:
> I recently used d-i to install etch on a FujituSiemens Primergy F200. 
> That maschine has 6 SCSI-Drives built-in, which i have configured as 
> RAID5 (no Hotspare) using the Adaptec-BIOS. During POST and installation 
> the RAID-Array is shown as /dev/sda.

I am not familiar at all with I2O and don't have the hardware to
reproduce your issue, so we are going to need your help to solve this!
:)

> Then i have created a ext3-Partition /dev/sda1 for /boot and a LVM on 
> /dev/sda5 using the rest of the Array-capacity for /.
> Installation proceeded fine.
> 
> After rebooting the maschine, everything worked fine. System found LVM 
> and could mount it correctely, but then failed to mount /boot (which is 
> on /dev/sda1 - as i thought).
> 
> I found out, that for the Adaptec 2100S the modules i2o-core and 
> i2o-block are loaded. The modules find the Adapter correctely.
> 
> But my /boot-partition - formerly known as /dev/sda1 - could now be 
> found at /dev/i2o/hda1 after loading the i2o-modules.
> 
> After changing the line in /etc/fstab from
> /dev/sda1	/boot [...]
> to
> /dev/i2o/hda1	/boot [...]
> and rebooting the maschine - it worked!
> 
> Dont know, if that is a problem in d-i or in i2o...

After reading the I2O FAQ [1] it seems that the second path is only
accessing the first disk instead of the whole RAID array:

  What are the various modules for?
  
  [...]
  I2O Block OSM (i2o_block):
  This is the disk driver, which let you access your RAID array, or if
  you don't have a RAID array configured to the single disks. You only
  have access to the disks through this driver!

  I2O SCSI OSM (i2o_scsi):
  This driver let you direct access to the disks. NEVER use this driver
  to mount a filesystem or so. If you do so, you could destroy your
  data.  Only use this driver, to monitor your disks for failure. You
  could use the smartmontools to do so.
  [...]

The data for your /boot partition are probably out of sync now. :(

Does /dev/sda1 exists on the system?  What error message is printed when
you try to mount it?  Is there any strange entry that shows up in kernel
messages (dmesg)?

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Arne Metzger <mohaa@foni.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 440161@bugs.debian.org (full text, mbox):

From: Arne Metzger <mohaa@foni.net>
To: 440161@bugs.debian.org
Subject: Re: Bug#440161: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Wed, 05 Sep 2007 15:00:50 +0200
Hi Jeremy,

the following modules are loaded during boot and also show up in lsmod:

i2o_core
This is always needed to access your I2O hardware. It is the main 
module, which provides low level access to the I2O hardware. [I2O FAQ]

i2o_block
This is the disk driver, which let you access your RAID array, or if you 
don't have a RAID array configured to the single disks. You only have 
access to the disks through this driver! [I2O FAQ]

So, i2o_scsi is not loaded and my data is still ok ;)

I cant mount /dev/sda anymore after i2o_core and i2o_block are loaded. 
Error message ist somehting like "no such device" (sorry, that machine 
is not actually running, its my "experimental server" - i have to 
remember me, what the messages were).

As said here [1]: "After the i2o_block module is loaded, you could 
access the drive through /dev/i2o/hda for the first disk 
(/dev/i2o/hda/disk if using devfs), /dev/i2o/hdb for the second disk 
(/dev/i2o/hdb/disk if using devfs), and so on."

So: the d-i recognizes my RAID-Array as /dev/sda. After Reboot, i2o_core 
and i2o_block are loaded, and from that moment /dev/sda is known as 
/dev/i2o/hda.

Sorry, but i cant send any dmesg at this time. Do you need them?

Regards,
Arne


[1]
http://i2o.shadowconnect.com/faq.php#raidaccess



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 440161@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Arne Metzger <mohaa@foni.net>, 440161@bugs.debian.org
Subject: Re: Bug#440161: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Wed, 5 Sep 2007 16:01:41 +0200
[Message part 1 (text/plain, inline)]
On Wed, Sep 05, 2007 at 03:00:50PM +0200, Arne Metzger wrote:
> So: the d-i recognizes my RAID-Array as /dev/sda. After Reboot, i2o_core 
> and i2o_block are loaded, and from that moment /dev/sda is known as 
> /dev/i2o/hda.

If your server is still "experimental", it would be quite helpful if you
could you try with a recent daily build of the debian-installer [1] and
see if the issue is still there.

In the past months, we got rid of the old devfs style device names.
This could actually have solved your issue, so it would be great if you
could help us in verifying that.

[1] amd64: http://people.debian.org/~aba/d-i/images/20070902-10:51/
  or i386: http://people.debian.org/~joeyh/d-i/images/20070905-09:01/

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to mohaa@foni.net:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 440161@bugs.debian.org (full text, mbox):

From: mohaa@foni.net
To: 440161@bugs.debian.org
Subject: Re: Bug#440161: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Wed, 05 Sep 2007 20:03:39 +0200
Wont be a problem - but please tell me how i should do that...
Until now i only have used ready-build netinstall-cd-images.

What do i have to do?
I will have to use i386-version...

Jérémy Bobbio schrieb am 05.09.2007 16:01 Uhr:
> On Wed, Sep 05, 2007 at 03:00:50PM +0200, Arne Metzger wrote:
>   
>> So: the d-i recognizes my RAID-Array as /dev/sda. After Reboot, i2o_core 
>> and i2o_block are loaded, and from that moment /dev/sda is known as 
>> /dev/i2o/hda.
>>     
>
> If your server is still "experimental", it would be quite helpful if you
> could you try with a recent daily build of the debian-installer [1] and
> see if the issue is still there.
>
> In the past months, we got rid of the old devfs style device names.
> This could actually have solved your issue, so it would be great if you
> could help us in verifying that.
>
> [1] amd64: http://people.debian.org/~aba/d-i/images/20070902-10:51/
>   or i386: http://people.debian.org/~joeyh/d-i/images/20070905-09:01/
>
> Cheers,
>   




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 440161@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: mohaa@foni.net, 440161@bugs.debian.org
Subject: Re: Bug#440161: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Wed, 5 Sep 2007 22:50:16 +0200
[Message part 1 (text/plain, inline)]
On Wed, Sep 05, 2007 at 08:03:39PM +0200, mohaa@foni.net wrote:
> Wont be a problem - but please tell me how i should do that...
> Until now i only have used ready-build netinstall-cd-images.
> 
> What do i have to do?
> I will have to use i386-version...

Just boot on the mini.iso [1] after burning it.  It will download all
the necessary components of the debian-installer through the network and
proceed the installation as you would expect.

[1] http://people.debian.org/~joeyh/d-i/images/20070905-09:01/netboot/mini.iso

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to mohaa@foni.net:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 440161@bugs.debian.org (full text, mbox):

From: mohaa@foni.net
To: 440161@bugs.debian.org
Subject: Re: Bug#440161: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Thu, 06 Sep 2007 21:22:30 +0200
Jérémy Bobbio schrieb am 05.09.2007 22:50 Uhr:
> Just boot on the mini.iso [1] after burning it.  It will download all
> the necessary components of the debian-installer through the network and
> proceed the installation as you would expect.
>
> [1] http://people.debian.org/~joeyh/d-i/images/20070905-09:01/netboot/mini.iso
>   
Interesting.

Using

http://people.debian.org/~joeyh/d-i/images/20070906-09:01/netboot/mini.iso with "expert" install, everything works fine. I created /dev/sda1 using ext3 for /, choosed "stable" to be installed and did not install any additional software (like "desktop system" or "standard system").
Rebooting without errors.

But:
modules loaded are
i2o_core
dpt_i2o
scsi_mod
sd_mod


Not i2o_core and i2o_block like before.

Then i tried a etch netinstall iso dated from 07-02-15, same install parameters.
Reboot and

modules loaded
i2o_core
i2o_block
and /dev/sda1 is "getting renamed to" /dev/i2o/hda1 (this is displayed when i2o_block is being loaded).
Boot sequence stopps saying "Waiting for root filesystem..."

So it looks like there are differencies in deciding what modules are being loaded for i2o-hardware.

Etch uses i2o_core/i2o_block, current d-i build uses dpt_i2o.

Dont really know which is bette, but i2o_core/i2o_block seems newer, faster and smaller than dpt_i2o, and supports 64bit what dpt_i2o doesn't do.
It's hardware-independant while dpt_i2o is only usable for Adaptec controllers.

Did this help?

IMHO it would be better to support i2o-subsystem (i2o_core, i2o_block and so on) instead of dpt_i2o if an Adaptec controller is found on the system.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Arne Metzger <mohaa@foni.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 440161@bugs.debian.org (full text, mbox):

From: Arne Metzger <mohaa@foni.net>
To: 440161@bugs.debian.org
Subject: Re: Bug#440161: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Fri, 14 Sep 2007 13:35:17 +0200
Any new information about this bug report?

Or ist more information / testing needed?

Regards,
Arne





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <debian@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 440161@bugs.debian.org (full text, mbox):

From: Holger Levsen <debian@layer-acht.org>
To: 440161@bugs.debian.org, Arne Metzger <mohaa@foni.net>
Subject: similar bug
Date: Wed, 26 Sep 2007 22:43:58 +0200
[Message part 1 (text/plain, inline)]
Hi,

does this bug look the same to you as 
http://bugs.skolelinux.no/show_bug.cgi?id=484 and 
http://bugs.skolelinux.no/show_bug.cgi?id=1254 ?


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Arne Metzger <mohaa@foni.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 440161@bugs.debian.org (full text, mbox):

From: Arne Metzger <mohaa@foni.net>
To: Holger Levsen <debian@layer-acht.org>, 440161@bugs.debian.org
Subject: Re: similar bug
Date: Thu, 27 Sep 2007 08:46:38 +0200
Holger Levsen schrieb am 26.09.2007 22:43:
> Hi,
> 
> does this bug look the same to you as 
> http://bugs.skolelinux.no/show_bug.cgi?id=484 and 
> http://bugs.skolelinux.no/show_bug.cgi?id=1254 ?
> 
> 
> regards,
> 	Holger

Hi,

i think yes.

Especially
http://bugs.skolelinux.no/show_bug.cgi?id=484#c27 and
http://bugs.skolelinux.no/show_bug.cgi?id=1254

are pointing to the same direction.

The Point is:
During installation the RAID-Array is recognized und used as /dev/sda1. 
That device is also used as MountPoint in /etc/fstab.

The difference is what modules are loaded for the Adaptec-Controller. 
The NightlyBuild i have tested loads dpt_i2o, my latest 
etch-Netinstall-CD loads i2o_core+i2o_block. Both use and install 2.6.18 
and udev.

dpt_i2o still provides /dev/sda1, i2o_core+i2o_block provide 
/dev/i2o/hda1 instead - which should be used as MointPoint in /etc/fstab 
then.

And as said already: IMHO i2o_core+i2o_block should be used since they 
seem to be hardware-independant and more "up-to-date".




Bug reassigned from package `debian-installer' to `kernel-wedge'. Request was from Otavio Salvador <otavio@ossystems.com.br> to control@bugs.debian.org. (Tue, 02 Oct 2007 20:18:09 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Otavio Salvador <otavio@ossystems.com.br> to control@bugs.debian.org. (Tue, 02 Oct 2007 20:18:10 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Tue, 02 Oct 2007 23:30:06 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Tue, 02 Oct 2007 23:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #63 received at 440161@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 440161@bugs.debian.org
Subject: Adding support for i2o RAID adapters
Date: Wed, 3 Oct 2007 01:30:24 +0200
[Message part 1 (text/plain, inline)]
On Tue, Oct 02, 2007 at 08:11:10PM +0000, Otavio Salvador wrote:
> New Revision: 49680
> 
> Log:
> Replace dpt_i2o with i2o_block to avoid diverting from installed
> system regarting to RAID with Adaptec 2100S. Closes: #440161
> 
> Modified:
>    trunk/packages/kernel/kernel-wedge/debian/changelog
>    trunk/packages/kernel/kernel-wedge/modules/scsi-extra-modules

As discussed on IRC, this is not enough to support RAID adapters using
i2o_block.  Attached is a first attempt of adding the other bits.

A test image is also available:
  http://people.debian.org/~lunar/i2o_support-i386-mini.iso

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[d-i_i2o_support.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Morten Werner Forsbring <werner@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #68 received at 440161@bugs.debian.org (full text, mbox):

From: Morten Werner Forsbring <werner@debian.org>
To: Jérémy Bobbio <lunar@debian.org>
Cc: 440161@bugs.debian.org
Subject: Re: Bug#440161: Adding support for i2o RAID adapters
Date: Wed, 03 Oct 2007 11:54:42 +0200
Jérémy Bobbio <lunar@debian.org> writes:

>> Log:
>> Replace dpt_i2o with i2o_block to avoid diverting from installed
>> system regarting to RAID with Adaptec 2100S. Closes: #440161
>> 
>> Modified:
>>    trunk/packages/kernel/kernel-wedge/debian/changelog
>>    trunk/packages/kernel/kernel-wedge/modules/scsi-extra-modules
>
> As discussed on IRC, this is not enough to support RAID adapters using
> i2o_block.  Attached is a first attempt of adding the other bits.
>
> A test image is also available:
>   http://people.debian.org/~lunar/i2o_support-i386-mini.iso

During installation everything seems to work great. The i2o_block and
i2o_core modules are loaded, and the partitioner finds the
/dev/i2o/hda-device and uses it. Even (/target)/etc/fstab looks fine
using the /dev/i2o/hda-devicepaths.

The problem is when trying to install grub or lilo. First
syslog-entries from grub-installer:

  Oct  3 08:28:04 main-menu[986]: INFO: Menu item 'grub-installer' selected 
  Oct  3 08:28:04 main-menu[986]: INFO: Falling back to the package description for os-prober-udeb 
  Oct  3 08:28:04 main-menu[986]: INFO: Falling back to the package description for os-prober-udeb 
  Oct  3 08:28:05 grub-installer: info: architecture: i386/generic
  Oct  3 08:28:05 main-menu[986]: WARNING **: Configuring 'grub-installer' failed with error code 1 
  Oct  3 08:28:05 main-menu[986]: WARNING **: Menu item 'grub-installer' failed. 
  Oct  3 08:32:10 grub-installer: info: architecture: i386/generic
  Oct  3 08:32:19 grub-installer: info: architecture: i386/generic
  Oct  3 09:01:16 grub-installer: info: architecture: i386/generic
  Oct  3 09:01:20 main-menu[986]: INFO: Modifying debconf priority limit from 'high' to 'medium' 
  Oct  3 09:01:20 debconf: Setting debconf/priority to medium

So trying ilo-installer:

  Oct  3 09:01:37 main-menu[986]: INFO: Falling back to the package description for auto-install 
  Oct  3 09:01:37 main-menu[986]: INFO: Falling back to the package description for ai-choosers 
  Oct  3 09:01:37 main-menu[986]: INFO: Menu item 'lilo-installer' selected 
  Oct  3 09:01:38 main-menu[986]: (process:31822): sed:  
  Oct  3 09:01:38 main-menu[986]: (process:31822): bad option in substitution expression 
  Oct  3 09:01:38 main-menu[986]: (process:31822):  
  Oct  3 09:01:38 main-menu[986]: WARNING **: Configuring 'lilo-installer' failed with error code 1 
  Oct  3 09:01:38 main-menu[986]: WARNING **: Menu item 'lilo-installer' failed. 
  Oct  3 09:07:15 main-menu[986]: INFO: Modifying debconf priority limit from 'medium' to 'low' 
  Oct  3 09:07:15 debconf: Setting debconf/priority to low

I've also made the logs [1] from the installation available.


- Werner

[1] http://folk.uio.no/werner/i2o-mini.iso-install/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #73 received at 440161@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 440161@bugs.debian.org
Subject: Re: Bug#440161: Adding support for i2o RAID adapters
Date: Wed, 3 Oct 2007 11:42:05 +0200
[Message part 1 (text/plain, inline)]
On Wed, Oct 03, 2007 at 01:30:24AM +0200, Jérémy Bobbio wrote:
> diff --git a/packages/arch/i386/grub-installer/grub-installer b/packages/arch/i386/grub-installer/grub-installer
> index 16c9183..b45004c 100755
> --- a/packages/arch/i386/grub-installer/grub-installer
> +++ b/packages/arch/i386/grub-installer/grub-installer
> @@ -247,7 +247,7 @@ esac
>  rootfs_nodevfs=$(mapdevfs $rootfs)
>  bootfs_nodevfs=$(mapdevfs $bootfs)
>  prefix=$(echo "$bootfs" | \
> -  sed 's:\(/dev/\(cciss\|ida\)/c[0-9]d[0-9]\|/dev/[a-z]\+\).*:\1:')
> +  sed 's:\(/dev/\(cciss\|ida\)/c[0-9]d[0-9]\|/dev/[a-z]\+\|/dev/i2o/hd[a-z]\).*:\1:')

This one is wrong and should probably be:
  sed 's:\(/dev/\(cciss\|ida\)/c[0-9]d[0-9]\|/dev/[a-z]\+\|\/dev\/i2o\/hd[a-z]\).*:\1:')

Cheers,
-- 
Jérémy Bobbio
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Morten Werner Forsbring <werner@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #78 received at 440161@bugs.debian.org (full text, mbox):

From: Morten Werner Forsbring <werner@debian.org>
To: 440161@bugs.debian.org
Cc: Jérémy Bobbio <lunar@debian.org>
Subject: Re: Bug#440161: Adding support for i2o RAID adapters
Date: Wed, 03 Oct 2007 12:40:11 +0200
Morten Werner Forsbring <werner@debian.org> writes:

> The problem is when trying to install grub or lilo. First
> syslog-entries from grub-installer:

I added set -x as requested by lunar, and the results is out [1]. I
aslo tried to patch lilo-installer.postinst, which also is in the same
webfolder [1].


- Werner

[1] http://folk.uio.no/werner/i2o-mini.iso-install.2/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #83 received at 440161@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Morten Werner Forsbring <werner@debian.org>, 440161@bugs.debian.org
Subject: Re: Bug#440161: Adding support for i2o RAID adapters
Date: Wed, 3 Oct 2007 18:58:49 +0200
[Message part 1 (text/plain, inline)]
On Wed, Oct 03, 2007 at 12:40:11PM +0200, Morten Werner Forsbring wrote:
> Morten Werner Forsbring <werner@debian.org> writes:
> 
> > The problem is when trying to install grub or lilo. First
> > syslog-entries from grub-installer:
> 
> I added set -x as requested by lunar, and the results is out [1]. I
> aslo tried to patch lilo-installer.postinst, which also is in the same
> webfolder [1].

Thanks for the tests and logs.  I made a mistake in a sed expression
that is both present in lilo-installer and grub-installer.  *sigh*

I have update the test image at:
  http://people.debian.org/~lunar/i2o_support-i386-mini.iso

Attached is an updated version of the previous patch.

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[d-i_i2o_support.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #88 received at 440161@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 440161@bugs.debian.org
Subject: Re: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Fri, 05 Oct 2007 20:13:17 +0200
I have looked into the problem of using Adaptec 2100S with Debian
Edu/Etch, have have a few observations.  The problem seem to originate
from the fact that two different kernel modules, dpt_i2o and
i2o_block/i2o_core support these cards, and that these modules produce
different device nodes /dev/sda (dpt_i2o) and /dev/i2o/hda
(i2o_block).  During boot, it seem to be arbitary which of the modules
are loaded by udev.  If one is loaded during installation, and another
is loaded during boot, the device path in /etc/fstab is wrong and the
boot fail.  The selected kernel module can change from boot to boot.

A quick look in /lib/modules/2.6.18-5-686/modules.pcimap tell me that
the conflicting kernel module issue only affect one PCI id.  These are
the devices supported by the two modules:

  1044:a511 dpt_i2o i2o_core
  1044:a501 dpt_i2o
  8086:1962 i2o_core

There are at least three problems in Etch related to this issue.

 - The i2o_core and i2o_block modules is missing in the
   scsi-extra-modules udeb.
 - The automatic partitioner do not accept /dev/i2o/hda as an hard
   drive, and fail.
 - Any of the drivers might grab the device during boot, and this is
   not consistent from boot to boot.

The first one was partly addressed in d-i svn by replacing dpt_i2o
with i2o_core, but it will break support for PCI id 1044:a501.  A fix
for this is to reinsert dpt_i2o.

The others are not addressed as far as I know.

A fix for the last problem is to blacklist one of the drivers in
/etc/modprobe.d/blacklist (or equivalent, could be another file), to
make sure the same driver is used during installation and later boot.
Perhaps something like this in an appropriate place (must be before
the kernel modules are loaded):

  # Force the use of dpt_i2o for devices where both it and i2o_core can
  # support the card, to avoid device name confusion.
  if lspci -n | grep -q " 1044:a511 " ; then
      cat >>/etc/modprobe.d/blacklist <<EOF
  # Make sure dpt_i2o is used for PCI device 1044:a511 (Adaptec 2100 RAID)
  blacklist i2o_core
  blacklist i2o_block
  EOF
  fi

It would select the dpt_i2o driver for the card supported by both
drivers.  One could also select the i2o_core driver and blacklist the
dpt_i2o driver.  I have no idea which of these drivers are preferred,
but must admit I personally do not like the /dev/i2o/ device path.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #93 received at 440161@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 440161@bugs.debian.org
Subject: Re: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Mon, 8 Oct 2007 10:15:24 +0200
[Petter Reinholdtsen]
> A quick look in /lib/modules/2.6.18-5-686/modules.pcimap tell me that
> the conflicting kernel module issue only affect one PCI id.  These are
> the devices supported by the two modules:
> 
>   1044:a511 dpt_i2o i2o_core
>   1044:a501 dpt_i2o
>   8086:1962 i2o_core

This proved to be wrong.

PCI id 1044:a501 is supported by i2o_core too.  I'm not sure why as
the entries in /lib/modules/2.6.18-5-686/modules.pcimap told me
otherwise, but on my test machine with that device the i2o_core kernel
module would load and I would end up with the /dev/i2o/hda device.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #98 received at 440161@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 440161@bugs.debian.org
Subject: Re: Bug#440161: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Mon, 08 Oct 2007 09:03:37 -0300
Petter Reinholdtsen <pere@hungry.com> writes:

> [Petter Reinholdtsen]
>> A quick look in /lib/modules/2.6.18-5-686/modules.pcimap tell me that
>> the conflicting kernel module issue only affect one PCI id.  These are
>> the devices supported by the two modules:
>> 
>>   1044:a511 dpt_i2o i2o_core
>>   1044:a501 dpt_i2o
>>   8086:1962 i2o_core
>
> This proved to be wrong.
>
> PCI id 1044:a501 is supported by i2o_core too.  I'm not sure why as
> the entries in /lib/modules/2.6.18-5-686/modules.pcimap told me
> otherwise, but on my test machine with that device the i2o_core kernel
> module would load and I would end up with the /dev/i2o/hda device.

Isn't it 1011:a511?

Look:

otavio@neumann:~/hacking/d-i$ grep '0x00001044 0x0000a511' /lib/modules/2.6.22-2-686/modules.pcimap
dpt_i2o              0x00001044 0x0000a511 0xffffffff 0xffffffff 0x00000000 0x00000000 0x0
i2o_core             0x00001044 0x0000a511 0xffffffff 0xffffffff 0x00000000 0x00000000 0x0

and

otavio@neumann:~/hacking/d-i$ grep '0x00001044 0x0000a501' /lib/modules/2.6.22-2-686/modules.pcimap 
dpt_i2o              0x00001044 0x0000a501 0xffffffff 0xffffffff 0x00000000 0x00000000 0x0

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #103 received at 440161@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 440161@bugs.debian.org
Subject: Re: Bug#440161: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Mon, 8 Oct 2007 14:32:25 +0200
[Otavio Salvador]
> Isn't it 1011:a511?

Nope, it isn't.  That surprised me too, as I looked in the
modules.pcimap file.  The machine I test on do not have the 1011:a511,
but the 1011:a501 device.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #108 received at 440161@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 440161@bugs.debian.org
Subject: Re: Bug#440161: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Mon, 08 Oct 2007 12:31:34 -0300
Petter Reinholdtsen <pere@hungry.com> writes:

> [Otavio Salvador]
>> Isn't it 1011:a511?
>
> Nope, it isn't.  That surprised me too, as I looked in the
> modules.pcimap file.  The machine I test on do not have the 1011:a511,
> but the 1011:a501 device.

hum ... no idea _why_ it's being loaded then.

It was tested using 2.6.22 right?

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #113 received at 440161@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 440161@bugs.debian.org
Subject: Re: Bug#440161: wrong /etc/fstab when installing on RAID using Adaptec 2100S
Date: Mon, 8 Oct 2007 17:40:10 +0200
[Otavio Salvador]
> It was tested using 2.6.22 right?

I tested using the 2.6.18 kernel in etch.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Morten Werner Forsbring <werner@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #118 received at 440161@bugs.debian.org (full text, mbox):

From: Morten Werner Forsbring <werner@debian.org>
To: Jérémy Bobbio <lunar@debian.org>
Cc: 440161@bugs.debian.org
Subject: Re: Bug#440161: Adding support for i2o RAID adapters
Date: Tue, 09 Oct 2007 10:01:46 +0200
Jérémy Bobbio <lunar@debian.org> writes:

> Thanks for the tests and logs.  I made a mistake in a sed expression
> that is both present in lilo-installer and grub-installer.  *sigh*
>
> I have update the test image at:
>   http://people.debian.org/~lunar/i2o_support-i386-mini.iso
>
> Attached is an updated version of the previous patch.

Thanks! I tested your image with GRUB yesterday, and the installation
works out just fine. When booting it seems like dpt_i2o is loaded
before i2o_{block,core}, which gives this error message:

  iop0: device already claimed
  iop0: DMA / IO allocation for I2O controller failed
     
  ALERT!  /dev/i2o/hda1 does not exist.  Dropping to a shell!
          Check your root= boot argument (cat /proc/cmdline)
  Check for missing modules (cat /proc/modules), or device files (ls /dev/)
     
  Busybox ...

I checked that dpt_i2o was loaded. I guess dpt_i2o should be added to
/etc/modprobe.d/blacklist on the installed system, or?


- Werner




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #123 received at 440161@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Morten Werner Forsbring <werner@debian.org>
Cc: 440161@bugs.debian.org, linux-debian-bugs-dist@moderators.isc.org
Subject: Re: Bug#440161: Adding support for i2o RAID adapters
Date: Tue, 09 Oct 2007 09:51:26 -0300
Morten Werner Forsbring <werner@debian.org> writes:

> I checked that dpt_i2o was loaded. I guess dpt_i2o should be added to
> /etc/modprobe.d/blacklist on the installed system, or?

Yes, it looks to be the right solution.

I still fail to understand how i2o_block will work for your device if
it's not registered for it on pcialias file ... that makes me worry
about it.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#440161; Package kernel-wedge. Full text and rfc822 format available.

Acknowledgement sent to Nathan Stratton Treadway <test02@nathanst.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #128 received at 440161@bugs.debian.org (full text, mbox):

From: Nathan Stratton Treadway <test02@nathanst.com>
To: Otavio Salvador <otavio@debian.org>
Cc: 440161@bugs.debian.org
Subject: Re: Bug#440161: Adding support for i2o RAID adapters
Date: Fri, 25 Jan 2008 15:18:16 -0500
I noticed the following question from Otavio Salvador in the discussion
for bug #440161:

> I still fail to understand how i2o_block will work for your device if
> it's not registered for it on pcialias file ... that makes me worry
> about it.

I think the answer to the question is that the i2o_core module also
supports the "0x000e0000" class.  For example, the modules.pcimap file
for our 2.6.18-5-k7 installation includes the following line:

i2o_core             0xffffffff 0xffffffff 0xffffffff 0xffffffff 0x000e0000 0x00ffff00 0x0


This matches the "I2O" class of the Adaptec 2100S card:
  # lspci -nn
  [...]
  00:0a.1 I2O [0e00]: Adaptec (formerly DPT) SmartRAID V Controller [1044:a501] (rev 02)



Earlier in the thread there was a mention that the following two devices
were listed in modules.pcimap as being supported by i2o_core:
>  1044:a511 dpt_i2o i2o_core
>  8086:1962 i2o_core

I believe these two device ids are listed specifically in order support
two particular types of cards that don't match the 0x0e00 class:

  http://i2o.shadowconnect.com/faq.php#promise
  http://i2o.shadowconnect.com/faq.php#zerochannel

[More specifically, for the Promise card the line from modules.pcimap is:
# pci module         vendor     device     subvendor  subdevice  class      class_mask driver_data
i2o_core             0x00008086 0x00001962 0x0000105a 0xffffffff 0x00000000 0x00000000 0x0

, and /usr/share/misc/pci.ids lists that vendor/device/subvendor as as:
---
8086  Intel Corp. 
        [...]
        1962  80960RM [i960RM Microprocessor]
                105a 0000  SuperTrak SX6000 I2O CPU
---

Similarly, the Zero Channel card reports itself as class "0104", according
to "lspci -n" output included at the bottom of

   https://www.redhat.com/archives/rhl-beta-list/2004-October/msg01321.html

, and so the driver needs to support that specific card by device id. ]


Hope this helps.

						Nathan





Reply sent to Otavio Salvador <otavio@ossystems.com.br>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Arne Metzger <mohaa@foni.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #133 received at 440161-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: 440161-close@bugs.debian.org
Subject: Bug#440161: fixed in kernel-wedge 2.42
Date: Mon, 24 Mar 2008 17:02:07 +0000
Source: kernel-wedge
Source-Version: 2.42

We believe that the bug you reported is fixed in the latest version of
kernel-wedge, which is due to be installed in the Debian FTP archive:

kernel-wedge_2.42.dsc
  to pool/main/k/kernel-wedge/kernel-wedge_2.42.dsc
kernel-wedge_2.42.tar.gz
  to pool/main/k/kernel-wedge/kernel-wedge_2.42.tar.gz
kernel-wedge_2.42_all.deb
  to pool/main/k/kernel-wedge/kernel-wedge_2.42_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 440161@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@ossystems.com.br> (supplier of updated kernel-wedge package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 24 Mar 2008 13:52:43 -0300
Source: kernel-wedge
Binary: kernel-wedge
Architecture: source all
Version: 2.42
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@ossystems.com.br>
Description: 
 kernel-wedge - udeb package builder for Debian-Installer
Closes: 440161 469143
Changes: 
 kernel-wedge (2.42) unstable; urgency=low
 .
   [ Otavio Salvador ]
   * Replace dpt_i2o with i2o_block to avoid diverting from installed
     system with regard to RAID with Adaptec 2100S. Closes: #440161.
   * Add ipg, niu, ixgbe, e1000e, sky2 and skge to nic-extra-modules.
     Closes: #469143
   * Move b44 to nic-pcmcia-modules.
   * Add zlib-modules udeb to provide zlib_inflate to ide and ppp
     modules.
   * Add p54pci and p54usb to nic-wireless-modules.
 .
   [ Stephen R. Marenka ]
   * add aes_generic, make aes optional to accommodate 2.6.24.
   * add sha256_generic, make sha256 optional to accommodate 2.6.24.
   * make ppp_async and ppp_synctty optional to accommodate m68k/mac.
Files: 
 7639515eb1d2b07c7ca9238481490ede 670 utils optional kernel-wedge_2.42.dsc
 0952c8f6e7abd651f62118c66783fed5 37624 utils optional kernel-wedge_2.42.tar.gz
 7110f7d1bee2c37fbc9d9f65122d1bb4 42614 utils optional kernel-wedge_2.42_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH59ymLqiZQEml+FURAu8AAKCYEeQPljlJ0u5Rxh5qMlLGOK7HEACfZspE
8tRX3S+t+1jjqwfS3CtCCBE=
=g4/5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 May 2008 07:48:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:28:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.